From 6a1743b25798d8ae71b03cbc52d96fd58f265c5b Mon Sep 17 00:00:00 2001
From: Timothée Ravier <tim@siosm.fr>
Date: Mar 21 2019 08:17:56 +0000
Subject: [PATCH 1/3] Convert kinoite.json to fedora-kinoite.yaml


---

diff --git a/fedora-kinoite.yaml b/fedora-kinoite.yaml
new file mode 100644
index 0000000..69d73f4
--- /dev/null
+++ b/fedora-kinoite.yaml
@@ -0,0 +1,15 @@
+include: kde-desktop-pkgs.json
+ref: fedora/30/${basearch}/kinoite
+rojig:
+  name: fedora-kde
+  summary: "Fedora Kinoite (KDE) base image"
+  license: MIT
+packages:
+  - kwayland-integration
+  - kwin-wayland
+  - plasma-workspace-wayland
+  - xdg-desktop-portal-kde
+  - xorg-x11-server-Xwayland
+
+repos:
+  - fedora-30
diff --git a/kinoite.json b/kinoite.json
deleted file mode 100644
index 5d7801a..0000000
--- a/kinoite.json
+++ /dev/null
@@ -1,14 +0,0 @@
-{
-    "ref": "fedora/30/${basearch}/kinoite",
-    "repos": ["fedora-30"],
-
-    "include": "kde-desktop-pkgs.json",
-
-    "packages": [
-        "kwayland-integration",
-        "kwin-wayland",
-        "plasma-workspace-wayland",
-        "xdg-desktop-portal-kde",
-        "xorg-x11-server-Xwayland"
-    ]
-}

From cea60dcfec8ccced92dd2be93dc90fbf3ab4e9f6 Mon Sep 17 00:00:00 2001
From: Timothée Ravier <tim@siosm.fr>
Date: Mar 21 2019 08:17:56 +0000
Subject: [PATCH 2/3] Convert fedora-xfce.json to fedora-xfce.yaml


---

diff --git a/fedora-xfce.json b/fedora-xfce.json
deleted file mode 100644
index e55c9bf..0000000
--- a/fedora-xfce.json
+++ /dev/null
@@ -1,10 +0,0 @@
-{
-    "ref": "fedora/30/${basearch}/xfce",
-    "repos": ["fedora-30"],
-
-    "include": "xfce-desktop-pkgs.json",
-
-    "packages": [
-        "xdg-desktop-portal-gtk"
-    ]
-}
diff --git a/fedora-xfce.yaml b/fedora-xfce.yaml
new file mode 100644
index 0000000..74b3e90
--- /dev/null
+++ b/fedora-xfce.yaml
@@ -0,0 +1,10 @@
+include: xfce-desktop-pkgs.json
+ref: fedora/30/${basearch}/xfce
+rojig:
+  name: fedora-xfce
+  summary: "Fedora XFCE base image"
+  license: MIT
+packages:
+    - xdg-desktop-portal-gtk
+repos:
+  - fedora-30

From 179c13c4c237d4d5a2a40c5ad19aa6f764b17a3e Mon Sep 17 00:00:00 2001
From: Timothée Ravier <tim@siosm.fr>
Date: Mar 21 2019 08:17:56 +0000
Subject: [PATCH 3/3] Add LXQt variant


---

diff --git a/comps-sync-blacklist.yml b/comps-sync-blacklist.yml
index fb212dc..dadf806 100644
--- a/comps-sync-blacklist.yml
+++ b/comps-sync-blacklist.yml
@@ -219,3 +219,11 @@ desktop_blacklist:
     - vim-enhanced
     # ?
     - rodent-icon-theme
+  lxqt-desktop:
+    # Incompatible with ostree for various reasons
+    - dnfdragora-updater
+    # Non-critical apps -> Flatpak
+    - ark
+    - falkon
+    - falkon-kwallet
+    - pcmanfm-qt
diff --git a/comps-sync.py b/comps-sync.py
index fd0f0d6..6c16ce9 100755
--- a/comps-sync.py
+++ b/comps-sync.py
@@ -122,7 +122,7 @@ if (n_manifest_new > 0 or n_comps_new > 0) and args.save:
 
 
 # Generate treefiles for all desktops
-for desktop in [ 'gnome-desktop', 'kde-desktop', 'xfce-desktop' ]:
+for desktop in [ 'gnome-desktop', 'kde-desktop', 'xfce-desktop', 'lxqt-desktop' ]:
     print()
     print("Syncing packages for {} specific version:".format(desktop))
 
diff --git a/fedora-lxqt.yaml b/fedora-lxqt.yaml
new file mode 100644
index 0000000..e7e1b9c
--- /dev/null
+++ b/fedora-lxqt.yaml
@@ -0,0 +1,12 @@
+include: lxqt-desktop-pkgs.json
+ref: fedora/30/${basearch}/lxqt
+rojig:
+  name: fedora-lxqt
+  summary: "Fedora LXQT base image"
+  license: MIT
+packages:
+  - libqtxdg
+  - xdg-desktop-portal-kde
+
+repos:
+  - fedora-30
diff --git a/lxqt-desktop-pkgs.json b/lxqt-desktop-pkgs.json
new file mode 100644
index 0000000..a111b42
--- /dev/null
+++ b/lxqt-desktop-pkgs.json
@@ -0,0 +1,36 @@
+{
+    "00packages-comment": "DO NOT EDIT! This content is generated from comps-sync.py",
+    "include": "fedora-common-ostree.json",
+    "packages": [
+        "breeze-cursor-theme",
+        "breeze-gtk",
+        "breeze-icon-theme",
+        "fedora-icon-theme",
+        "firewall-config",
+        "initial-setup-gui",
+        "lxqt-about",
+        "lxqt-config",
+        "lxqt-globalkeys",
+        "lxqt-notificationd",
+        "lxqt-openssh-askpass",
+        "lxqt-panel",
+        "lxqt-policykit",
+        "lxqt-powermanagement",
+        "lxqt-qtplugin",
+        "lxqt-runner",
+        "lxqt-session",
+        "lxqt-themes",
+        "lxqt-themes-fedora",
+        "network-manager-applet",
+        "nm-connection-editor",
+        "notification-daemon",
+        "obconf",
+        "openbox",
+        "perl-File-MimeInfo",
+        "qterminal",
+        "sddm",
+        "sddm-themes",
+        "upower",
+        "xdg-user-dirs"
+    ]
+}

